Show / Hide Table of Contents

# Struct ImGuiKeyData

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImGuiKeyData

### Fields

| Improve this Doc View Source

#### AnalogValue

##### Declaration

    public float AnalogValue

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Down

##### Declaration

    public byte Down

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### DownDuration

##### Declaration

    public float DownDuration

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### DownDurationPrev

##### Declaration

    public float DownDurationPrev

##### Field Value

Type | Description
--- | ---
System.Single |